Subject: RE: ISATAP and admin/IP domains [RE: 3gpp-analysis: Recommendatio n on tunneling in the UE]

From: "Karim El-Malki (HF/EAB)" <[email-masked]>
Date: Tue, 18 Nov 2003 16:12:37 +0100

> On Tue, 18 Nov 2003, Karim El-Malki (HF/EAB) wrote:
 > >  > The 3GPP operator cannot trust the UE or the user.  They
 > >  > must be treated 
 > >  > as "hostile".  This is very, very different from e.g. most 
 > >  > enterprise 
 > >  > networks where ISATAP was originally more or less 
 > envisioned for.
 > > 
 > > They are not considered hostile since they have authenticated to
 > > the home network using the SIM card. The 3gpp operator's network
 > > relies on this security.
 > 
 > Even if 3GPP network would rely on it, we at the IETF know better ;-)
 > 
 > Seriously, SIM identification means nothing.  They sell anonymous,
 > pre-paid SIM cards at kiosks around here which are untraceable.  That
 > should be pretty commonplace.  There is nothing in the SIM
 > "authentication" which makes the operator trust the user 
 > more.  It's just
 > a way of getting the billing right (AFAIK).

I think it is out of scope for us to start discussing changes to 3gpp
architecture. Using the SIM a user can roam to another network and send
packets back to its home network. So from the 3gpp point of view the user
can access basic "home" services (e.g. ISATAP) in the same way while
roaming as if the user was actually at home. That fits the ISATAP scenario.

/Karim

---

From: Pekka Savola <[email-masked]>
Date: Tue, 18 Nov 2003 17:31:15 +0200 (EET)

On Tue, 18 Nov 2003, Karim El-Malki (HF/EAB) wrote:
> architecture. 

Totally agree, but I don't think I was even starting that discussion.

> Using the SIM a user can roam to another network and send
> packets back to its home network. 

That doesn't mean the operator trusts the user at all; in this case, 
it seems like a way to identify what is the home network to send the 
packets to.

> So from the 3gpp point of view the user can access basic "home"
> services (e.g. ISATAP) in the same way while roaming as if the user
> was actually at home. That fits the ISATAP scenario.

You made an assumption that using ISATAP at home network would be OK, 
and therefore using it on the remote network would be equally OK.

I don't make either.

I don't think ISATAP should be used at the home network either, due 
to the reasons described: it doesn't fit well to a model of crossing 
administrative borders.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings